import org.Hello.*;

import java.util.Properties;

import javax.naming.Context;
import javax.naming.InitialContext;

public class BankClient 
{
 	public static void main(String args[]) 
 	{
		try {
			Properties p = new Properties();
			p.put("java.naming.factory.initial", "org.apache.openejb.client.RemoteInitialContextFactory");
			p.put("java.naming.provider.url", "ejbd://localhost:9006");
			InitialContext ctx = new InitialContext(p);
	
    		BankRemote bank = (BankRemote)ctx.lookup("BankImplRemote");
    
			try {
				bank.create(10,"Test");
			}
			catch (Exception e) {
				System.out.println("Konto 10 existiert schon!");
			}
    		System.out.println(bank.print(10));
			bank.addPayment(10,10.50);
			bank.addPayment(10,-5.00);
    		System.out.println(bank.print(10));
	  	} 
	  	catch (Exception e) {
	    		e.printStackTrace();
  		}
 	}
}
