package org.Hello;

import javax.ejb.*;
import javax.persistence.*;

@Stateless
public class BankImpl implements BankRemote
{
  @PersistenceContext(unitName="intro")
  private EntityManager manager;

  public Account create(int n, String name)
  {
	System.out.println("BankImpl.create(" + n + "," + name + ")");
	Account acc = new Account(n, name);
	manager.persist(acc);
	return acc;
  }
  public String getName(int n)
  {
	Account acc = manager.find(Account.class, n);
	return acc.getName();
  }
  public void close(int n)
  {
	Account acc = manager.find(Account.class, n);
	manager.remove(acc);
  }
}
